GNU bug report logs - #13486
24.2.92: large X-selections: timed out waiting for property notify event

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Charles Rendleman <carendle@HIDDEN>; dated Fri, 18 Jan 2013 14:24:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 8 Oct 2014 21:35:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 08 17:35:00 2014
Received: from localhost ([127.0.0.1]:38276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xbysu-00049A-DY
	for submit <at> debbugs.gnu.org; Wed, 08 Oct 2014 17:35:00 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:26885)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1Xbysr-00048x-Ee
 for 13486 <at> debbugs.gnu.org; Wed, 08 Oct 2014 17:34:58 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNFxKjo/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqgXGBWyE
X-IPAS-Result: ArYGAIDvNVNFxKjo/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqgXGBWyE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="92018689"
Received: from 69-196-168-232.dsl.teksavvy.com (HELO pastel.home)
 ([69.196.168.232])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 08 Oct 2014 17:34:56 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 5848B85FE; Wed,  8 Oct 2014 17:34:56 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Steve Newcomb <srn@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
 property notify event
Message-ID: <jwvbnpmgsce.fsf-monnier+emacsbugs@HIDDEN>
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
 <w6ehhicjzv.fsf@HIDDEN> <20729.64260.275157.943490@HIDDEN>
 <87sj5xzpyd.fsf@HIDDEN> <87mww55gfd.fsf@HIDDEN>
 <1368653313271-286215.post@HIDDEN> <861ttftngo.fsf@HIDDEN>
 <1412797844730-333732.post@HIDDEN>
Date: Wed, 08 Oct 2014 17:34:56 -0400
In-Reply-To: <1412797844730-333732.post@HIDDEN> (Steve Newcomb's
 message of "Wed, 8 Oct 2014 12:50:44 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 13486
Cc: 13486 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Like Dmitry, I am running Ubuntu 14.04 stock emacs 24, (GNU Emacs 24.3.1
> (x86_64-pc-linux-gnu, GTK+ Version 3.10.7) of 2014-03-07 on lamiak, modified
> by Debian) but now I've had to abandon it in favor of emacs 23.

Have you tried playing with `select-active-regions' (which should let
you go back to the Emacs-23 behavior, without reverting wholesale to an
older Emacs).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Oct 2014 19:53:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 08 15:53:20 2014
Received: from localhost ([127.0.0.1]:38254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XbxIV-0001Zi-Q9
	for submit <at> debbugs.gnu.org; Wed, 08 Oct 2014 15:53:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51293)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <srn@HIDDEN>) id 1XbxGI-0001Vq-Op
 for submit <at> debbugs.gnu.org; Wed, 08 Oct 2014 15:51:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <srn@HIDDEN>) id 1XbxGC-0003Rn-Ih
 for submit <at> debbugs.gnu.org; Wed, 08 Oct 2014 15:51:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50,URI_HEX
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45919)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <srn@HIDDEN>) id 1XbxGC-0003Rj-Fq
 for submit <at> debbugs.gnu.org; Wed, 08 Oct 2014 15:50:56 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52958)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <srn@HIDDEN>) id 1XbxG7-0008BQ-Bw
 for Bug-gnu-emacs@HIDDEN; Wed, 08 Oct 2014 15:50:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <srn@HIDDEN>) id 1XbxG1-0003QM-Vg
 for Bug-gnu-emacs@HIDDEN; Wed, 08 Oct 2014 15:50:51 -0400
Received: from sam.nabble.com ([216.139.236.26]:57854)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <srn@HIDDEN>) id 1XbxG1-0003QG-R8
 for Bug-gnu-emacs@HIDDEN; Wed, 08 Oct 2014 15:50:45 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <srn@HIDDEN>) id 1XbxG0-0006Zi-O5
 for Bug-gnu-emacs@HIDDEN; Wed, 08 Oct 2014 12:50:44 -0700
Date: Wed, 8 Oct 2014 12:50:44 -0700 (PDT)
From: Steve Newcomb <srn@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1412797844730-333732.post@HIDDEN>
In-Reply-To: <861ttftngo.fsf@HIDDEN>
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
 <w6ehhicjzv.fsf@HIDDEN> <20729.64260.275157.943490@HIDDEN>
 <87sj5xzpyd.fsf@HIDDEN> <87mww55gfd.fsf@HIDDEN>
 <1368653313271-286215.post@HIDDEN> <861ttftngo.fsf@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
 property notify event
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 08 Oct 2014 15:53:18 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

In my experience, this bug does not require a large X selection to be
revealed.

Like Dmitry, I am running Ubuntu 14.04 stock emacs 24, (GNU Emacs 24.3.1
(x86_64-pc-linux-gnu, GTK+ Version 3.10.7) of 2014-03-07 on lamiak, modified
by Debian) but now I've had to abandon it in favor of emacs 23.  The
timed-out-waiting-for-property-notify-event thing has stopped me dead,
dozens of times, requiring me to kill the emacs process and restart the
whole session.  No amount of control-G keypresses can restore it to
responsiveness.  I have not been doing large cut-and-paste operations
(which, yes, also have the similar effect reported above).  I've been
running pdb (python debugger) sessions in shell buffers.  That alone will
put emacs 24 into the unresponsive state described above.  It doesn't seem
to matter whether I'm running locally under X11, or on a remote machine via
an X11 tunnel, or via an x11vnc session.

I rather like everything about Emacs 24, except for the one unfortunate fact
that it simply doesn't work in my pdb sessions in shell buffers.  Emacs 23
still works, though, and that's a great mercy.





--
View this message in context: http://emacs.1067599.n5.nabble.com/bug-13486-24-2-92-large-X-selections-timed-out-waiting-for-property-notify-event-tp275798p333732.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 21 Jul 2014 03:12:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 20 23:12:07 2014
Received: from localhost ([127.0.0.1]:60820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X941F-0002sl-O6
	for submit <at> debbugs.gnu.org; Sun, 20 Jul 2014 23:12:06 -0400
Received: from mail-wg0-f43.google.com ([74.125.82.43]:50315)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1X941C-0002s7-6c
 for 13486 <at> debbugs.gnu.org; Sun, 20 Jul 2014 23:12:03 -0400
Received: by mail-wg0-f43.google.com with SMTP id l18so5846157wgh.14
 for <13486 <at> debbugs.gnu.org>; Sun, 20 Jul 2014 20:11:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=gVhCJ+OXeYs7DgM8bBaEf9/Y8toDgmJYEs7ve1zDDm0=;
 b=gXYRAnlFwDdh33VxYnThqJxY6cG8xe4JJtF3/jEutgiz7//7OHYFEr6Gldh16bpRUZ
 HOLyKaF4S26i5tDoP3b1jcVk7qBRR+mHIsnSeB4HRFg/7Kjv8/N9aMEbjJIj1QLi6XMu
 Sru8lUmyRA0T5St5j3Pb3KsXpPCw5VkusrL5Vj9ekZky3lqC0gS/h+OyVZGNlenn32lQ
 6Ifa42S3C1yfvHT5indEmlKnmfCR35ER60Rngj23iAdVzZKqSnaAQbGl40iDvlcL6SHP
 Dks8ijJatYrR95tr2kT8JClHiUSnMr9mZUf4KbZAKE7VZoFhoQGhUPjMEA19x2Z5teqq
 NhoQ==
X-Received: by 10.180.19.138 with SMTP id f10mr97557wie.38.1405912316468;
 Sun, 20 Jul 2014 20:11:56 -0700 (PDT)
Received: from axl (93-109-244.netrun.cytanet.com.cy. [93.109.109.244])
 by mx.google.com with ESMTPSA id bg2sm36796313wib.21.2014.07.20.20.11.54
 for <13486 <at> debbugs.gnu.org>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 20 Jul 2014 20:11:55 -0700 (PDT)
From: Dmitry Gutov <dgutov@HIDDEN>
To: 13486 <at> debbugs.gnu.org
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
 property notify event
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
 <w6ehhicjzv.fsf@HIDDEN> <20729.64260.275157.943490@HIDDEN>
 <87sj5xzpyd.fsf@HIDDEN> <87mww55gfd.fsf@HIDDEN>
 <1368653313271-286215.post@HIDDEN>
Date: Mon, 21 Jul 2014 06:11:51 +0300
In-Reply-To: <1368653313271-286215.post@HIDDEN> (unfrostedpoptart's
 message of "Wed, 15 May 2013 14:28:34 -0700 (PDT)")
Message-ID: <861ttftngo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 13486
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

I've been hitting this bug from time to time, too (about once in a few
weeks), and I'm not running Emacs remotely. Just in graphical mode, the
usual way.

Similarly, selecting all text in a large buffer seems to be the way to
reproduce this (a sequence of `C-x h', `C-w`, `C-x h', `C-w', and so on,
seems to do it), even starting with `emacs -Q`. I've saved the contents
of the buffer I've had this with, but they're probably irrelevant.

It's just

a:focus {
  background-clip: border-box;
  background: content-box;
}

repeated ~33000 times.

Here's the report-emacs-bug information:

In GNU Emacs 24.3.92.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2014-07-11 on axl
Repository revision: 117369 rgm@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04 LTS

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  helm-match-plugin-mode: t
  helm-occur-match-plugin-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  elisp-slime-nav-mode: t
  eldoc-mode: t
  paredit-mode: t
  global-smartscan-mode: t
  smartscan-mode: t
  projectile-global-mode: t
  projectile-mode: t
  hes-mode: t
  global-company-mode: t
  company-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  global-diff-hl-mode: t
  diff-hl-mode: t
  diff-auto-refine-mode: t
  savehist-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-whitespace-cleanup-mode: t
  whitespace-cleanup-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  show-paren-mode: t
  global-auto-revert-mode: t
  electric-pair-mode: t
  delete-selection-mode: t
  cua-mode: t
  winner-mode: t
  whitespace-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: do-auto-fill
  transient-mark-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n <help-echo> SPC C-c <left> 
C-c C-x 0 C-x 0 <M-up> <down> <down> <up> <return> 
<down> <return> M-n C-n RET M-[ C-x 3 M-x i b u f f 
e r <return> C-n C-p C-n C-n / S u / S C-s S u m m 
C-s C-s C-n C-p s u C-g C-g C-p C-p q C-x 0 M-[ C-n 
RET SPC N N N N N N N N N P P N N N N N C-; C-n RET 
N N N q RET RET N N N q g C-p RET RET q RET RET <M-down> 
C-x 3 <help-echo> M-x <help-echo> f i n d - l i b <return> 
c r i s p <return> <next> <next> <next> <next> <next> 
<next> <next> <next> <next> <next> <next> <next> <next> 
<prior> <prior> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> <prior> C-x 0 q g q M-x r e C-g C-x 
3 <C-tab> C-x h C-w M-x p y <return> C-g C-g M-x C-g 
C-g C-g M-x p y t h o n - m o d e <return> M-x e m 
a c s <return> <M-right> M-x p y t h o n - m o d e 
C-x 2 C-g C-g C-x 2 C-x b m e s s a <return> C-g C-g 
C-g C-g <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <up> 
<down> <up> <down> <up> <down> <up> <down> C-g C-g 
<S-up> <S-up> <S-up> <S-up> <S-up> <S-up> <S-up> <S-up> 
<S-up> <S-up> <S-up> <S-up> C-S-a M-w <M-left> M-x 
r e p o r t <return>

Recent messages:
byte-code: Timed out waiting for property-notify event
byte-code: Window #<window 4 on  *Minibuf-1*> too small for splitting 2
Quit [3 times]
Timed out waiting for property-notify event [2 times]
Quit [4 times]
End of buffer [3 times]
Timed out waiting for property-notify event
Quit [3 times]
Mark set
Reverting buffer `.emacs-loaddefs.el'.

Load-path shadows:
/home/gutov/.emacs.d/elpa/easy-kill-20140505.343/test hides /home/gutov/.emacs.d/site-lisp/company/test
/home/gutov/.emacs.d/site-lisp/smartrep.el/smartrep hides ~/.emacs.d/site-lisp/smartrep

Features:
(shadow bbdb-message emacsbug sendmail python iflipb vc-bzr gnus-fun
org-element org-rmail org-mhe org-irc org-info org-gnus org-docview
doc-view jka-compr image-mode org-bibtex bibtex org-bbdb org-w3m org
org-macro org-footnote org-pcomplete org-list org-faces org-entities
noutline outline org-version ob-emacs-lisp ob ob-tangle org-src ob-ref
ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval org-compat
org-macs org-loaddefs cal-menu calendar cal-loaddefs helm-projectile
helm-files image-dired tramp tramp-compat tramp-loaddefs trampver
dired-x dired-aux ffap helm-bookmark helm-adaptive helm-info helm-net
xml helm-plugin bookmark pp helm-help helm-match-plugin helm-external
helm-locate helm-config helm-aliases eieio-opt speedbar sb-image ezimage
dframe two-column iso-transl helper helm-buffers helm-grep helm-regexp
helm-elscreen helm-tags helm-utils helm mule-util ebuff-menu flow-fill
browse-url mm-archive qp sort smiley gnus-cite mail-extr gnus-async
gnus-bcklg gnus-ml disp-table nndraft nnmh nnfolder parse-time bbdb-gnus
bbdb-mua bbdb-com crm netrc gnutls network-stream starttls tls
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 epg-config mm-view mml-smime smime dig nntp gnus-cache
gnus-sum nnoo gnus-group gnus-undo nnmail mail-source bbdb bbdb-site
timezone gnus-start gnus-spec gnus-int gnus-range gnus-win gnus gnus-ems
nnheader shell pcomplete smerge-mode misearch multi-isearch recentf
tree-widget wid-edit css-mode smex elisp-slime-nav eldoc paredit
tango-plus-theme smartscan highlight-tail projectile ibuf-ext ibuffer
pkg-info epl grep dash s highlight-escape-sequences company-files
company-oddmuse oddmuse url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse auth-source eieio
byte-opt bytecomp byte-compile cconv eieio-core gnus-util password-cache
url-vars mailcap company-keywords company-etags etags company-gtags
company-dabbrev-code company-dabbrev company-capf company-cmake
company-ropemacs company-xcode company-clang company-semantic
company-eclim company-template company-css company-nxml company-bbdb
company-inf-ruby inf-ruby thingatpt ruby-end ruby-mode smie compile
company pcase undo-tree diff diff-hl smartrep face-remap vc-hg vc-git
vc-dir ewoc diff-mode savehist yasnippet whitespace-cleanup-mode
ido-ubiquitous ido paren autorevert filenotify elec-pair delsel cua-base
winner .emacs-loaddefs whitespace saveplace autoload lisp-mnt tex-site
info package bow prelude esk devenv commit-patch-buffer log-edit
easy-mmode message format-spec rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
vc vc-dispatcher point-stack mmm mmm-defaults mmm-auto mmm-vars cl-macs
mmm-compat cl gv progmodes keys find-func quail help-mode easymenu
windmove hippie hippie-exp comint ansi-color dired winring ring
transpose-frame misc prefs edmacro kmacro cl-loaddefs cl-lib defuns
advice help-fns help-at-pt cus-start cus-load time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 545261 50480)
 (symbols 48 52155 582)
 (miscs 40 907 755)
 (strings 32 128998 32016)
 (string-bytes 1 15224805)
 (vectors 16 49989)
 (vector-slots 8 1030644 4297)
 (floats 8 1008 1455)
 (intervals 56 7339 65)
 (buffers 960 46)
 (heap 1024 221344 326429))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 May 2013 21:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 15 17:34:05 2013
Received: from localhost ([127.0.0.1]:46528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UcjKm-0001uM-RT
	for submit <at> debbugs.gnu.org; Wed, 15 May 2013 17:34:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47553)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <david@HIDDEN>) id 1UcjFj-0001jB-2l
	for submit <at> debbugs.gnu.org; Wed, 15 May 2013 17:28:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <david@HIDDEN>) id 1UcjFW-00046z-Ah
	for submit <at> debbugs.gnu.org; Wed, 15 May 2013 17:28:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-98.9 required=5.0 tests=BAYES_40,URI_HEX,
	USER_IN_WHITELIST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56421)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <david@HIDDEN>) id 1UcjFW-00046t-7d
	for submit <at> debbugs.gnu.org; Wed, 15 May 2013 17:28:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58913)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <david@HIDDEN>) id 1UcjFV-0001Ri-1Z
	for Bug-gnu-emacs@HIDDEN; Wed, 15 May 2013 17:28:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <david@HIDDEN>) id 1UcjFT-00046S-SF
	for Bug-gnu-emacs@HIDDEN; Wed, 15 May 2013 17:28:36 -0400
Received: from sam.nabble.com ([216.139.236.26]:48961)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <david@HIDDEN>) id 1UcjFT-00045h-OR
	for Bug-gnu-emacs@HIDDEN; Wed, 15 May 2013 17:28:35 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
	by sam.nabble.com with esmtp (Exim 4.72)
	(envelope-from <david@HIDDEN>) id 1UcjFS-0005Hn-4o
	for Bug-gnu-emacs@HIDDEN; Wed, 15 May 2013 14:28:34 -0700
Date: Wed, 15 May 2013 14:28:34 -0700 (PDT)
From: unfrostedpoptart <david@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1368653313271-286215.post@HIDDEN>
In-Reply-To: <87mww55gfd.fsf@HIDDEN>
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
	<w6ehhicjzv.fsf@HIDDEN>
	<20729.64260.275157.943490@HIDDEN> <87sj5xzpyd.fsf@HIDDEN>
	<87mww55gfd.fsf@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
	property notify event
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 15 May 2013 17:34:03 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

Chong Yidong wrote
> Charles Rendleman &lt;

> carendle@

> &gt; writes:
> 
>> http://www.straightrunning.com/XmingNotes/, a packaging of 'mainly
>> from the X.org source code with patches applied'.
> 
> Ah, so you are running Emacs through a remote X connection.  That is the
> reason for the slowdown: the Emacs binary needs to transfer the X
> primary selection to the server over the network.
> 
> I don't think there's any way to fix this; you will have to customize
> `select-active-regions' to nil.

I've been hitting this for months (since 24?) and finally searched around
and found this thread.  I'm also running remote, using nx-client.  I went to
customize select-active-regions and found the value "ony shift-selection or
mouse-drag" does the trick since it still allows automatic setting of active
region but doesn't trigger on things like mark-whole-buffer, which was
killing me.

The elisp version it put in my init.el was (select-active-regions (quote
only)).

 David



--
View this message in context: http://emacs.1067599.n5.nabble.com/bug-13486-24-2-92-large-X-selections-timed-out-waiting-for-property-notify-event-tp275798p286215.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 19 Jan 2013 21:56:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 16:56:36 2013
Received: from localhost ([127.0.0.1]:40631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwgOx-00020D-DR
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 16:56:36 -0500
Received: from mail-ia0-f173.google.com ([209.85.210.173]:57682)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <carendle@HIDDEN>) id 1TwgOu-000205-4d
	for 13486 <at> debbugs.gnu.org; Sat, 19 Jan 2013 16:56:33 -0500
Received: by mail-ia0-f173.google.com with SMTP id l29so2128564iag.18
	for <13486 <at> debbugs.gnu.org>; Sat, 19 Jan 2013 13:55:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=lvAZXLVna9OMVZaYaNw1eL40DPWJZUxqJ7kCnLMJH6c=;
	b=dtex/+KS3pMdr0Tpua/xhi3Q/EidCM+J5Kc4gVD9Sb7P2VyyZD2ZemMsDLJLsIvVmK
	jgsEw17upWUu7ep6no5Xc/1UxL7wBhsfnFsnpl0xtS0/85yqJer+kjq1RaU91ZNv+uJq
	5ig/e9U4vEiVEmFovvwxgTrk2g33mWhqBycNHM9PJJgg5H1s//KAzKiwYLzujc0q4L3r
	PJr3i9Jp+z9wEUjIzd+LTvjs3/ec/shT3Xoei9eSpUORKWIWMTcbi98sqEV7bhU3QO50
	LfaSGfK9t56Se48t9FQKfvkELdVfEJB5KxQAs3Mr5xyIVj0T/4qWZvCkL/d2WHum8mQS
	V06A==
MIME-Version: 1.0
X-Received: by 10.43.124.130 with SMTP id go2mr9209019icc.8.1358632535240;
	Sat, 19 Jan 2013 13:55:35 -0800 (PST)
Received: by 10.64.70.168 with HTTP; Sat, 19 Jan 2013 13:55:34 -0800 (PST)
In-Reply-To: <jwvtxqd855s.fsf-monnier+bug#13486@HIDDEN>
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
	<w6ehhicjzv.fsf@HIDDEN>
	<CALiJhZ4HoOgSxq3z_08iwiq7BR0+rT0RN8tybGO-+MG7ryTXWA@HIDDEN>
	<20729.64260.275157.943490@HIDDEN> <87sj5xzpyd.fsf@HIDDEN>
	<CALiJhZ5BdYmGk-hBM1kwOFgT-guw_PZwHcLOtuj0TMhU0Xv1Dw@HIDDEN>
	<87mww55gfd.fsf@HIDDEN>
	<jwvtxqd855s.fsf-monnier+bug#13486@HIDDEN>
Date: Sat, 19 Jan 2013 16:55:34 -0500
Message-ID: <CALiJhZ7pdAx_YZV0Z+r1XB-SqdNcDu5sR1tGJGehcVXmwba6Bg@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
	property notify event
From: Charles Rendleman <carendle@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=bcaec517c690a4af3e04d3ab4963
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13486
Cc: Chong Yidong <cyd@HIDDEN>, 13486 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--bcaec517c690a4af3e04d3ab4963
Content-Type: text/plain; charset=ISO-8859-1

1) This is a regression since Emacs-23.4.  That is, large selections work
in emacs prior to emacs 24
2) I've been able to reproduce in a more standard x environment the
report-emacs-bug report is essentially the same except for:
....
In GNU Emacs 24.2.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.1)
 of 2013-01-10 on drdws0066.nyc.desres.deshaw.com
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
System Description: CentOS release 5.7 (Final)
....


On Sat, Jan 19, 2013 at 12:19 PM, Stefan Monnier
<monnier@HIDDEN>wrote:

> >> http://www.straightrunning.com/XmingNotes/, a packaging of 'mainly
> >> from the X.org source code with patches applied'.
> > Ah, so you are running Emacs through a remote X connection.  That is the
> > reason for the slowdown: the Emacs binary needs to transfer the X
> > primary selection to the server over the network.
>
> IIUC in his example, only the ownership of the selection needs to be
> transferred, not the selection itself, so the size of the selection
> shouldn't matter.
> Unless he has some extra software (like some clipboard applets) that
> systematically keeps takes a copy of those things, tho I don't remember
> hearing of a case where the PRIMARY was (mis)handled this way (contrary
> to the CLIPBOARD selection, where there've been many such mishandling
> by naive applets).
>
>
>         Stefan
>

--bcaec517c690a4af3e04d3ab4963
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>1) This is a regression since Emacs-23.4.=A0 That is,=
 large selections work in emacs prior to emacs 24</div><div>2) I&#39;ve bee=
n able to reproduce in a more standard x environment the report-emacs-bug r=
eport is essentially the same except for:</div>
<div>....</div><div>In GNU Emacs 24.2.92.1 (x86_64-unknown-linux-gnu, GTK+ =
Version 2.22.1)<br>=A0of 2013-01-10 on <a href=3D"http://drdws0066.nyc.desr=
es.deshaw.com">drdws0066.nyc.desres.deshaw.com</a><br>Windowing system dist=
ributor `The X.Org Foundation&#39;, version 11.0.70101000<br>
System Description:=A0CentOS release 5.7 (Final)<br>....</div></div><div cl=
ass=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Sat, Jan 19, 2013=
 at 12:19 PM, Stefan Monnier <span dir=3D"ltr">&lt;<a href=3D"mailto:monnie=
r@HIDDEN" target=3D"_blank">monnier@HIDDEN</a>&gt;</spa=
n> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><div class=3D"im">&gt;&gt; <a href=3D"http:/=
/www.straightrunning.com/XmingNotes/" target=3D"_blank">http://www.straight=
running.com/XmingNotes/</a>, a packaging of &#39;mainly<br>

&gt;&gt; from the X.org source code with patches applied&#39;.<br>
&gt; Ah, so you are running Emacs through a remote X connection. =A0That is=
 the<br>
&gt; reason for the slowdown: the Emacs binary needs to transfer the X<br>
&gt; primary selection to the server over the network.<br>
<br>
</div>IIUC in his example, only the ownership of the selection needs to be<=
br>
transferred, not the selection itself, so the size of the selection<br>
shouldn&#39;t matter.<br>
Unless he has some extra software (like some clipboard applets) that<br>
systematically keeps takes a copy of those things, tho I don&#39;t remember=
<br>
hearing of a case where the PRIMARY was (mis)handled this way (contrary<br>
to the CLIPBOARD selection, where there&#39;ve been many such mishandling<b=
r>
by naive applets).<br>
<span class=3D"HOEnZb"><font color=3D"#888888"><br>
<br>
=A0 =A0 =A0 =A0 Stefan<br>
</font></span></blockquote></div><br></div>

--bcaec517c690a4af3e04d3ab4963--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 19 Jan 2013 17:20:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 12:20:10 2013
Received: from localhost ([127.0.0.1]:40493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Twc5S-0002yp-2v
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 12:20:10 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:47510)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Twc5P-0002yf-BN
	for 13486 <at> debbugs.gnu.org; Sat, 19 Jan 2013 12:20:08 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtkGAG6Zu09FpZpV/2dsb2JhbABEgXuyFoEIghYBBVYjEAsOJhIUGA0kCogXC7l+kEQDiEKacYFYgwc
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="213038416"
Received: from 69-165-154-85.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
	([69.165.154.85])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	19 Jan 2013 12:19:12 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
	id 83132AE362; Sat, 19 Jan 2013 12:19:12 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
	property notify event
Message-ID: <jwvtxqd855s.fsf-monnier+bug#13486@HIDDEN>
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
	<w6ehhicjzv.fsf@HIDDEN>
	<CALiJhZ4HoOgSxq3z_08iwiq7BR0+rT0RN8tybGO-+MG7ryTXWA@HIDDEN>
	<20729.64260.275157.943490@HIDDEN> <87sj5xzpyd.fsf@HIDDEN>
	<CALiJhZ5BdYmGk-hBM1kwOFgT-guw_PZwHcLOtuj0TMhU0Xv1Dw@HIDDEN>
	<87mww55gfd.fsf@HIDDEN>
Date: Sat, 19 Jan 2013 12:19:12 -0500
In-Reply-To: <87mww55gfd.fsf@HIDDEN> (Chong Yidong's message of "Sat, 19 Jan
	2013 23:41:10 +0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13486
Cc: Charles Rendleman <carendle@HIDDEN>, 13486 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

>> http://www.straightrunning.com/XmingNotes/, a packaging of 'mainly
>> from the X.org source code with patches applied'.
> Ah, so you are running Emacs through a remote X connection.  That is the
> reason for the slowdown: the Emacs binary needs to transfer the X
> primary selection to the server over the network.

IIUC in his example, only the ownership of the selection needs to be
transferred, not the selection itself, so the size of the selection
shouldn't matter.
Unless he has some extra software (like some clipboard applets) that
systematically keeps takes a copy of those things, tho I don't remember
hearing of a case where the PRIMARY was (mis)handled this way (contrary
to the CLIPBOARD selection, where there've been many such mishandling
by naive applets).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 19 Jan 2013 15:42:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 10:42:13 2013
Received: from localhost ([127.0.0.1]:40452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwaYf-0000en-D5
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:42:13 -0500
Received: from mail-pa0-f44.google.com ([209.85.220.44]:41667)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1TwaYa-0000eb-DI
	for 13486 <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:42:10 -0500
Received: by mail-pa0-f44.google.com with SMTP id hz11so2645182pad.3
	for <13486 <at> debbugs.gnu.org>; Sat, 19 Jan 2013 07:41:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:sender:from:to:cc:subject:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type;
	bh=yC7H7KwrDmQog9j9q/9JIoyVS2o7ZqQytvNjXSR7GGY=;
	b=mvL2ZI99BeZLgV7b96LNeCNNoEQoc/sdCEpl86VJdInZ+1zN40sHh1ZoV+Mybs/MzR
	Eu6EZY2xfQC7ehUDPvIwaU9GtuSdwjIbWkyQaJgsbRjWM3oNxlH8glGprvuswpro0Wsg
	m95D5yKc4poRLqsiCIo56gKt2dM6PCIvsRgiefI9oixCeLYy1RfleqfA/mV6ACtd4LJp
	U25pt5Iti/hv8mPuzrB4JLpx2O3CmZIDVk22TiPvQ0NM7Os4+HAUM0IqI2xx7B3Wbuu5
	B9Nuuob5+fwYYawtcDtlXcuaoqWzoRUOrg9KfmOcr4cgqkB5euA28W2D7vhWFVWpBxNe
	NTFQ==
X-Received: by 10.68.236.100 with SMTP id ut4mr15744041pbc.92.1358610074752;
	Sat, 19 Jan 2013 07:41:14 -0800 (PST)
Received: from tsparkle (cm107.delta179.maxonline.com.sg. [59.189.179.107])
	by mx.google.com with ESMTPS id a9sm5609133pav.24.2013.01.19.07.41.11
	(version=TLSv1.2 cipher=RC4-SHA bits=128/128);
	Sat, 19 Jan 2013 07:41:13 -0800 (PST)
From: Chong Yidong <cyd@HIDDEN>
To: Charles Rendleman <carendle@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
	property notify event
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
	<w6ehhicjzv.fsf@HIDDEN>
	<CALiJhZ4HoOgSxq3z_08iwiq7BR0+rT0RN8tybGO-+MG7ryTXWA@HIDDEN>
	<20729.64260.275157.943490@HIDDEN> <87sj5xzpyd.fsf@HIDDEN>
	<CALiJhZ5BdYmGk-hBM1kwOFgT-guw_PZwHcLOtuj0TMhU0Xv1Dw@HIDDEN>
Date: Sat, 19 Jan 2013 23:41:10 +0800
In-Reply-To: <CALiJhZ5BdYmGk-hBM1kwOFgT-guw_PZwHcLOtuj0TMhU0Xv1Dw@HIDDEN>
	(Charles Rendleman's message of "Sat, 19 Jan 2013 07:50:55 -0500")
Message-ID: <87mww55gfd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 13486
Cc: 13486 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Charles Rendleman <carendle@HIDDEN> writes:

> http://www.straightrunning.com/XmingNotes/, a packaging of 'mainly
> from the X.org source code with patches applied'.

Ah, so you are running Emacs through a remote X connection.  That is the
reason for the slowdown: the Emacs binary needs to transfer the X
primary selection to the server over the network.

I don't think there's any way to fix this; you will have to customize
`select-active-regions' to nil.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 19 Jan 2013 05:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 00:45:58 2013
Received: from localhost ([127.0.0.1]:39457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwRFd-00028O-Q4
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 00:45:58 -0500
Received: from mail-da0-f52.google.com ([209.85.210.52]:53190)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1TwRFb-00028F-0Y
	for 13486 <at> debbugs.gnu.org; Sat, 19 Jan 2013 00:45:56 -0500
Received: by mail-da0-f52.google.com with SMTP id f10so1921532dak.11
	for <13486 <at> debbugs.gnu.org>; Fri, 18 Jan 2013 21:45:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:sender:from:to:cc:subject:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type;
	bh=49x/MoXqGCZgzADyIb6YEkGv/JPS2I1WkMpv3j2FHP8=;
	b=mZYn/3I9VFNdrVc4oD/hGiFXCqW54WsyX5sSTFVgGJnl4LL7YJXKAlLwG7PHtYszfd
	z7oUijvAtki01QiirJaI0r9VGJYEpu4b7OVb4TmsCm5KJ7N9LQSSePNaDCmODL8a6Pst
	LoqOQJg+8h+n+zHF6ejMlt6V0p/k/T6TfxktfA+Nw0iFEZWGPthKpxRx0yf1HJv11nj0
	l3Q+ALXrlToDGnSH89EeZqk85lhyv7gZ3pHxMfMi2RVAswTMFRWNztsbDiRz6QDrCPW5
	nDLuYcZj2tPSEi5EjrkeeSc6CaO7h1j2kDMWdBlUM30D6km/4FftWqOKMeJ/nqSfnExR
	ISsA==
X-Received: by 10.66.78.168 with SMTP id c8mr30016037pax.16.1358574301747;
	Fri, 18 Jan 2013 21:45:01 -0800 (PST)
Received: from tsparkle (cm107.delta179.maxonline.com.sg. [59.189.179.107])
	by mx.google.com with ESMTPS id jv1sm4401567pbc.36.2013.01.18.21.44.59
	(version=TLSv1.2 cipher=RC4-SHA bits=128/128);
	Fri, 18 Jan 2013 21:45:00 -0800 (PST)
From: Chong Yidong <cyd@HIDDEN>
To: Charles Rendleman <carendle@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
	property notify event
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
	<w6ehhicjzv.fsf@HIDDEN>
	<CALiJhZ4HoOgSxq3z_08iwiq7BR0+rT0RN8tybGO-+MG7ryTXWA@HIDDEN>
	<20729.64260.275157.943490@HIDDEN>
Date: Sat, 19 Jan 2013 13:44:58 +0800
In-Reply-To: <20729.64260.275157.943490@HIDDEN> (Glenn Morris's message of
	"Fri, 18 Jan 2013 20:46:44 -0500")
Message-ID: <87sj5xzpyd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 13486
Cc: Glenn Morris <rgm@HIDDEN>, 13486 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Glenn Morris <rgm@HIDDEN> writes:

> Windowing system distributor `Colin Harrison', version 11.0.70500029
> System Description:	CentOS release 5.7 (Final)

That is an unusual X vendor ID.  Mine says `The X.Org Foundation'.  Do
you know if this is standard X server from xorg, or something else?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 19 Jan 2013 01:47:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 18 20:47:38 2013
Received: from localhost ([127.0.0.1]:39334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwNWz-0004vk-NX
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 20:47:38 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:56639)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1TwNWw-0004vb-Lf
	for 13486 <at> debbugs.gnu.org; Fri, 18 Jan 2013 20:47:36 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TwNW8-0007xE-Cz; Fri, 18 Jan 2013 20:46:44 -0500
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <20729.64260.275157.943490@HIDDEN>
Date: Fri, 18 Jan 2013 20:46:44 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 13486 <at> debbugs.gnu.org
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
	property notify event
In-Reply-To: <CALiJhZ4HoOgSxq3z_08iwiq7BR0+rT0RN8tybGO-+MG7ryTXWA@HIDDEN>
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
	<w6ehhicjzv.fsf@HIDDEN>
	<CALiJhZ4HoOgSxq3z_08iwiq7BR0+rT0RN8tybGO-+MG7ryTXWA@HIDDEN>
X-Attribution: GM
X-Mailer: VM (www.wonderworks.com/vm), GNU Emacs (www.gnu.org/software/emacs)
X-Hue: red
X-Ran: F$Gl%vES?.Cr{Jl"RC'B`cl@R4T?3nF4trf'ON#G=KaBSt"s_q{mbf+<h9R?k!>c[DN$Mv
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 13486
Cc: Charles Rendleman <carendle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)


(Please keep the debbugs address included in replies.
Resending your comments so they are more visible...)

Date: Fri, 18 Jan 2013 16:02:49 -0500
From: Charles Rendleman <carendle@HIDDEN>

The X-server is XMING 7.5.0.29.

On Fri, Jan 18, 2013 at 3:29 PM, Glenn Morris <rgm@HIDDEN> wrote:

> Charles Rendleman wrote:
>
> > $ emacs -Q /usr/share/dict/words
> > C-SPC
> > M->
> > ^X^X  .....
> > (beep) Timed out waiting for property-notify event
>
> Works fine for me. Please send the report-emacs-bug information that
> describes your system/Emacs version.

In GNU Emacs 24.2.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.1)
 of 2013-01-10 on drdws0066.nyc.desres.deshaw.com
Windowing system distributor `Colin Harrison', version 11.0.70500029
System Description:	CentOS release 5.7 (Final)

Configured using:
 `configure '--prefix=/u/nyc/rendlemc/dpr/Linux/x86_64/emacs/24.2.92-03'
 '--x-includes=/usr/X11R6/include' '--x-libraries=/usr/X11R6/lib64'
 '--with-x-toolkit=gtk2'
 'LDFLAGS=-Wl,-rpath,/proj/desres/root/Linux/x86_64/gtkplus/2.22.1-04/lib
 -Wl,-rpath,/proj/desres/root/Linux/x86_64/dbus/1.2.16-01/lib
 -Wl,-rpath=/proj/desres/root/Linux/x86_64/ncurses/5.7-03A/lib
 -L/proj/desres/root/Linux/x86_64/ncurses/5.7-03A/lib
 -Wl,-rpath,/proj/desres/root/Linux/x86_64/jpeg/6b-03A/shared/lib
 -Wl,-rpath,/proj/desres/root/Linux/x86_64/tiff/3.9.4-01A/lib
 -L/proj/desres/root/Linux/x86_64/zlib/1.2.7-10A/shared/lib
 -Wl,-rpath=/proj/desres/root/Linux/x86_64/zlib/1.2.7-10A/shared/lib'
 'LIBS=/proj/desres/root/Linux/x86_64/jpeg/6b-03A/shared/lib/libjpeg.so
 /proj/desres/root/Linux/x86_64/tiff/3.9.4-01A/lib/libtiff.so'
 'CPPFLAGS=-I/proj/desres/root/Linux/x86_64/gtkplus/2.22.1-04/include
 -I/proj/desres/root/Linux/x86_64/dbus/1.2.16-01/include
 -I/proj/desres/root/Linux/x86_64/ncurses/5.7-03A/include/ncurses
 -I/proj/desres/root/Linux/x86_64/jpeg/6b-03A/shared/include
 -I/proj/desres/root/Linux/x86_64/tiff/3.9.4-01A/include
 -I/proj/desres/root/Linux/x86_64/zlib/1.2.7-10A/shared/include''

Important settings:
  value of $EMACSLOADPATH: /u/nyc/rendlemc/dpr/Linux/x86_64/emacs-w3m/2013-01-14-07/share/emacs/site-lisp/w3m:/u/nyc/rendlemc/dpr/Linux/x86_64/emacs/24.2.92-03/share/emacs/24.2.92/lisp:/u/nyc/rendlemc/dpr/Linux/x86_64/emacs/24.2.92-03/share/emacs/24.2.92/leim
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-SPC <escape> > C-g C-g C-g M-x r e p <tab> o <tab> 
r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Note: file is write protected
Mark set
Timed out waiting for property-notify event [3 times]
Quit [3 times]
Making completion list... [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode easymenu time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at 13486 <at> debbugs.gnu.org:


Received: (at 13486) by debbugs.gnu.org; 18 Jan 2013 20:30:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 18 15:30:49 2013
Received: from localhost ([127.0.0.1]:39116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwIaO-0005hL-9X
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 15:30:49 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:52274)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1TwIaM-0005hC-Gx
	for 13486 <at> debbugs.gnu.org; Fri, 18 Jan 2013 15:30:47 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TwIZY-0007lp-HR; Fri, 18 Jan 2013 15:29:56 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Charles Rendleman <carendle@HIDDEN>
Subject: Re: bug#13486: 24.2.92: large X-selections: timed out waiting for
	property notify event
References: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
X-Spook: militia Geraldton USCOI pipeline lock picking government
X-Ran: \:QE8$R?%&wOR|;6-GVb{w`,mnPP!j>4P*GuSp&y/Z(aWDNB4'9}j!lccZIsjvp8d`:iOt
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 18 Jan 2013 15:29:56 -0500
In-Reply-To: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
	(Charles Rendleman's message of "Fri, 18 Jan 2013 09:22:17 -0500")
Message-ID: <w6ehhicjzv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13486
Cc: 13486 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

Charles Rendleman wrote:

> $ emacs -Q /usr/share/dict/words
> C-SPC
> M->
> ^X^X  .....
> (beep) Timed out waiting for property-notify event

Works fine for me. Please send the report-emacs-bug information that
describes your system/Emacs version.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2013 14:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 18 09:23:24 2013
Received: from localhost ([127.0.0.1]:38267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwCqp-00040l-JF
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 09:23:24 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34248)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <carendle@HIDDEN>) id 1TwCqm-00040d-NQ
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 09:23:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <carendle@HIDDEN>) id 1TwCpw-00060B-U3
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 09:22:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:39939)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <carendle@HIDDEN>) id 1TwCpw-000605-QC
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 09:22:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45517)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <carendle@HIDDEN>) id 1TwCpq-0005lE-Ak
	for bug-gnu-emacs@HIDDEN; Fri, 18 Jan 2013 09:22:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <carendle@HIDDEN>) id 1TwCpn-0005y2-4a
	for bug-gnu-emacs@HIDDEN; Fri, 18 Jan 2013 09:22:22 -0500
Received: from mail-oa0-f44.google.com ([209.85.219.44]:47036)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <carendle@HIDDEN>) id 1TwCpm-0005x3-VL
	for bug-gnu-emacs@HIDDEN; Fri, 18 Jan 2013 09:22:19 -0500
Received: by mail-oa0-f44.google.com with SMTP id n5so3901421oag.31
	for <bug-gnu-emacs@HIDDEN>; Fri, 18 Jan 2013 06:22:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:date:message-id:subject:from:to
	:content-type; bh=Kh7/KKPGgYoUF2I6fk6n18k8yj0BmqwdrPO5+JaIVR8=;
	b=cVl0s2A+o9oequmGQ2QuE1Pqhg98XCV4vELk9h8YbA7MXUTGqwxegqynr/JbKa1jEb
	cr3OSr2DdshZ48RU4z2icxE8Qg/tKHAxxF04eEKErb3RteQ41elHdwAm/YLLzxMKOrZN
	VoiUeLcGTjAxBN0THVUJZ3OWnnTkcW64a7YRm9ctBrUqfGGYoqRMj3YP1+DGGdeXN7K6
	iC8GRkduNCecJPQcYRNIXpD8BBU2c9HbuPS8Mh9uukdFsMeJB6CcG5amo1vWeVAKFaXt
	bxRs0Ql7a9BiFbpar+f5LSMeLQcW6CDdzvF4nf/QWkNfti94z+pOmwpwI5c9Xa2utWHw
	0qWw==
MIME-Version: 1.0
X-Received: by 10.182.121.97 with SMTP id lj1mr6977172obb.63.1358518937858;
	Fri, 18 Jan 2013 06:22:17 -0800 (PST)
Received: by 10.76.28.39 with HTTP; Fri, 18 Jan 2013 06:22:17 -0800 (PST)
Date: Fri, 18 Jan 2013 09:22:17 -0500
Message-ID: <CALiJhZ5_hKcxS2hdVHH=_tS12W+n5LwUO2mzAWbsLYSbnoiJgA@HIDDEN>
Subject: 24.2.92: large X-selections: timed out waiting for property notify
	event
From: Charles Rendleman <carendle@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=14dae9399603b630ac04d390d6ab
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

--14dae9399603b630ac04d390d6ab
Content-Type: text/plain; charset=ISO-8859-1

$ emacs -Q /usr/share/dict/words
C-SPC
M->
^X^X  .....
(beep) Timed out waiting for property-notify event

You can recover by hitting ^G several times.

Problem appears when the transient-mark encloses a large region.  Does not
occur in a terminal window (i.e., emacs -Q -nw).  Appears to be an
x-selection issue.

--14dae9399603b630ac04d390d6ab
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>$ emacs -Q /usr/share/dict/words</div><div>C-SPC</div=
><div>M-&gt;</div><div>^X^X=A0 ..... </div><div>(beep) Timed out waiting fo=
r property-notify event</div><div>=A0</div><div>You can recover by hitting =
^G several times.</div>
<div>=A0</div><div>Problem appears when the transient-mark encloses a large=
 region.=A0 Does not occur in a terminal window (i.e., emacs -Q -nw).=A0 Ap=
pears to be an x-selection issue.</div><div>=A0</div></div>

--14dae9399603b630ac04d390d6ab--




Acknowledgement sent to Charles Rendleman <carendle@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13486; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.